Date: Tue, 10 Feb 1998 21:23:49 +0100 (CET)
From: Wout Klaren <W.Klaren@inter.NL.net>
To: linux-m68k@lists.linux-m68k.org
Subject: L68K: Patches for Hades
Sender: owner-linux-m68k@phil.uni-sb.de

Hello,

Below are some patches for the Hades:

- Removed the last 'is_hades'.
- Added a configuration option for the old /proc/pci device.

Wout Klaren


diff -ruN -x *.o -x *.a -x .*depend -x .config* -x .menuconfig* -x System.map -x .version -x autoconf.h -x compile.h -x vmlinux -x *_MODULES -x *.ver -x *.flags /atari/h/linux-2.1.85.orig/arch/m68k/config.in linux-2.1.85/arch/m68k/config.in
--- /atari/h/linux-2.1.85.orig/arch/m68k/config.in	Fri Feb  6 19:56:40 1998
+++ linux-2.1.85/arch/m68k/config.in	Mon Feb  9 23:05:45 1998
@@ -37,6 +37,10 @@
 # bool 'BVME4000 and BVME6000 support' CONFIG_BVME6000
 fi
 
+if [ "$CONFIG_PCI" = "y" ]; then
+  bool 'Backward-compatible /proc/pci' CONFIG_PCI_OLD_PROC
+fi
+
 comment 'Processor type'
 bool '68020 support' CONFIG_M68020
 bool '68030 support' CONFIG_M68030
diff -ruN -x *.o -x *.a -x .*depend -x .config* -x .menuconfig* -x System.map -x .version -x autoconf.h -x compile.h -x vmlinux -x *_MODULES -x *.ver -x *.flags /atari/h/linux-2.1.85.orig/drivers/scsi/atari_scsi.c linux-2.1.85/drivers/scsi/atari_scsi.c
--- /atari/h/linux-2.1.85.orig/drivers/scsi/atari_scsi.c	Sat Jan 31 14:02:17 1998
+++ linux-2.1.85/drivers/scsi/atari_scsi.c	Fri Feb  6 20:49:50 1998
@@ -692,7 +692,7 @@
 #endif /* REAL_DMA */
 #ifdef REAL_DMA
 #ifdef CONFIG_TT_DMA_EMUL
-		if (is_hades) {
+		if (MACH_IS_HADES) {
 			request_irq(IRQ_AUTO_2, hades_dma_emulator,
 				    IRQ_TYPE_PRIO, "Hades DMA emulator",
 				    hades_dma_emulator);


